Bug 1685437 - [webUI, Repo-Discovery]- Failed to discover the repository from Repo Discovery Page
Summary: [webUI, Repo-Discovery]- Failed to discover the repository from Repo Discover...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.5.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: Released
Assignee: Partha Aji
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
: 1688333 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 08:18 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:17 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.33-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:24 UTC


Attachments (Terms of Use)
Error on console (191.30 KB, image/png)
2019-03-05 08:18 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:32 UTC
Foreman Issue Tracker 26251 None None None 2019-03-05 20:26:48 UTC

Description Omkar Khatavkar 2019-03-05 08:18:15 UTC
Created attachment 1540866 [details]
Error on console

Description of problem:
Failed to discover the repo from Repo Discovery. Getting an error 'An invalid form control with name='upstreamUsername' is not focusable.' error on JS console.  

Version-Release number of selected component (if applicable):
Satellite 6.5 Snap 18 (try chrome)

How reproducible:
Always 

Steps to Reproduce:
1. Navigate to Products-> Discover Repositories
2. Add Url 'https://inecas.fedorapeople.org/fakerepos/zoo/'
3. Click on Discover button.
4. See the error on console log (try chrome)

Actual results:
Discover repo fails with an error in the console log as 'An invalid form control with name='upstreamUsername' is not focusable.'

Expected results:
Repo should be discovered, records should be shown in Discovery Repository column.

Additional info:
Error displayed in console log 

An invalid form control with name='upstreamPassword' is not focusable.
120Refused to load the font '<URL>' because it violates the following Content Security Policy directive: "default-src 'self'". Note that 'font-src' was not explicitly set, so 'default-src' is used as a fallback

Comment 5 Sachin Ghai 2019-03-05 13:58:23 UTC
I confirmed with QE folks, this issue is appears only w/ snap18. With snap17.1, the repo discovery is working.

Comment 6 Partha Aji 2019-03-05 20:26:48 UTC
Connecting redmine issue https://projects.theforeman.org/issues/26251 from this bug

Comment 7 Bryan Kearney 2019-03-06 01:03:46 UTC
Upstream bug assigned to paji@redhat.com

Comment 8 Bryan Kearney 2019-03-06 01:03:47 UTC
Upstream bug assigned to paji@redhat.com

Comment 9 jcallaha 2019-03-13 15:59:27 UTC
*** Bug 1688333 has been marked as a duplicate of this bug. ***

Comment 10 Bryan Kearney 2019-03-19 20:04:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26251 has been resolved.

Comment 11 Omkar Khatavkar 2019-03-25 13:28:01 UTC
This is resolved and verified in Satellite 6.5 with snap 19.

Comment 14 errata-xmlrpc 2019-05-14 12:40:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.